Puntuado con 5 de 5 estrellas

Although this add-on isn't keeping up with the newest Firefox releases, I am sticking with Firefox 14 just for this add-on. Thank you John Mellor (Jomel) and PikachuEXE!

Esta valoración es de una versión anterior del complemento (0.9.9.8). 

Thanks

I think you can use it with Firefox 16
But it's fine staying at older Firefox

Firefox 17 breaks this addon quite a lot and requires at least a few more weeks to fix them all
Not to mention the time to get approved

But you can monitor the Google Group or Google Plus Page if you want to use beta versions